## cantor 17.12.2

=== CMakeLists.txt ===
project(cantor)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

add_definitions(-DMAKE_CANTORLIBS_LIB)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "2")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(KF5_MIN_VERSION "5.15.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    TextWidgets
    KIO
    XmlGui
    I18n)

if(NOT WIN32)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
endif()

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)

if(NOT WIN32)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "http://libspectre.freedesktop.org/wiki/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LibSpectre_FOUND)
        set(WITH_EPS On)
    else(LibSpectre_FOUND)
        set(WITH_EPS Off)
    endif(LibSpectre_FOUND)

else(NOT WIN32)
    set(WITH_EPS Off)
endif(NOT WIN32)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
kde_enable_exceptions()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)

install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
cantor (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:41 +0000

cantor (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:05 +0000

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libanalitza-dev (>= 4:17.12.2~),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5unitconversion-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libluajit-5.1-dev [i386 amd64],
               libqalculate-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python-dev (>= 2.7~),
               python3-dev,
               qtbase5-dev (>= 5.6.1~),
               r-base-core
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-dev
Architecture: any
Section: libdevel
Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.
 .
 This package contains development files for cantor.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-julia
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Julia backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using Julia
 (http://julialang.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: amd64 arm64 armhf i386 powerpc ppc64el
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 NOTE: currently this package only contains the maxima icon as the backend itself
 is broken with the current version of maxima. The backend will be restored once
 an upstream fix is available.
 See KDE BUG: https://bugs.kde.org/show_bug.cgi?id=379404
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: ghostscript, octave, ${misc:Depends}, ${shlibs:Depends}
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor-backend-python2 (<< 4:15.08)
Replaces: cantor-backend-python2 (<< 4:15.08)
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python2 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python2 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:15.08.0+git20150909)
Replaces: cantor (<< 4:15.08.0+git20150909)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python
Architecture: all
Priority: optional
Section: oldlibs
Depends: cantor-backend-python2, ${misc:Depends}
Description: Python backend for Cantor -- transitional package
 Transitional package for cantor-backend-python2
 .
 This package can be safely removed after installation

## cantor 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.15.0")

=== src/lib/CMakeLists.txt ===
set( cantor_LIB_SRCS
  session.cpp
  expression.cpp
  backend.cpp
  result.cpp
  textresult.cpp
  imageresult.cpp
  epsresult.cpp
  latexresult.cpp
  latexrenderer.cpp
  helpresult.cpp
  animationresult.cpp
  extension.cpp
  assistant.cpp
  completionobject.cpp
  syntaxhelpobject.cpp
  defaulthighlighter.cpp
  defaultvariablemodel.cpp
  panelplugin.cpp
  panelpluginhandler.cpp
  worksheetaccess.cpp
  directives/plotdirectives.cpp
)

Set( cantor_LIB_HDRS
  cantor_macros.h
  cantor_export.h
  #base classes
  backend.h
  session.h
  expression.h
  extension.h
  syntaxhelpobject.h
  completionobject.h
  #results
  animationresult.h
  epsresult.h
  helpresult.h
  imageresult.h
  latexresult.h
  result.h
  textresult.h
  #helper classes
  defaulthighlighter.h
  defaultvariablemodel.h
  worksheetaccess.h
)

ki18n_wrap_ui(cantor_LIB_SRCS directives/axisrange.ui directives/plottitle.ui)

kconfig_add_kcfg_files(cantor_LIB_SRCS settings.kcfgc)
install(FILES cantor_libs.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

configure_file (config-cantorlib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantorlib.h )

add_library( cantorlibs  SHARED ${cantor_LIB_SRCS} )

kcoreaddons_desktop_to_json(cantorlibs cantor_assistant.desktop DEFAULT_SERVICE_TYPE)
kcoreaddons_desktop_to_json(cantorlibs cantor_backend.desktop DEFAULT_SERVICE_TYPE)
kcoreaddons_desktop_to_json(cantorlibs cantor_panelplugin.desktop DEFAULT_SERVICE_TYPE)

target_link_libraries( cantorlibs
  KF5::Completion
  KF5::IconThemes
  KF5::KIOCore
  KF5::KIOFileWidgets
  KF5::KIOWidgets
  KF5::Archive
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::I18n
  KF5::XmlGui
  ${QT5_LIBRARIES}
  Qt5::Xml
)

set_target_properties( cantorlibs
  PROPERTIES VERSION ${KDE_APPLICATIONS_VERSION} SOVERSION ${KDE_APPLICATIONS_VERSION_MAJOR}
)


install( TARGETS cantorlibs  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES ${cantor_LIB_HDRS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/cantor
  COMPONENT Devel
)

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

=== src/backends/julia/CMakeLists.txt ===
include_directories(${Julia_INCLUDE_DIRS})

add_subdirectory(juliaserver)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif(BUILD_TESTING)

set(JuliaBackend_SRCS
    juliabackend.cpp
    juliasession.cpp
    juliaexpression.cpp
    juliakeywords.cpp
    juliahighlighter.cpp
    juliaextensions.cpp
    juliacompletionobject.cpp
)

kconfig_add_kcfg_files(JuliaBackend_SRCS settings.kcfgc)
ki18n_wrap_ui(JuliaBackend_SRCS settings.ui)

add_backend(juliabackend ${JuliaBackend_SRCS})

target_link_libraries(cantor_juliabackend Qt5::DBus ${Julia_LIBRARY})

install(FILES juliabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
file(GLOB scripts "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*.jl")
install(
    FILES ${scripts}
    DESTINATION ${KDE_INSTALL_DATADIR}/cantor/juliabackend/scripts
)

=== src/backends/lua/CMakeLists.txt ===
set(LuaBackend_SRCS
    luabackend.cpp
    luasession.cpp
    luaexpression.cpp
    luacompletionobject.cpp
    luahelper.cpp
    luahighlighter.cpp
    luaextensions.cpp
)

kconfig_add_kcfg_files(LuaBackend_SRCS settings.kcfgc)
install(FILES luabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(LuaBackend_SRCS settings.ui)

add_backend(luabackend ${LuaBackend_SRCS})

include_directories(${LUAJIT_INCLUDE_DIR})

target_link_libraries(cantor_luabackend ${LUAJIT_LIBRARY})

install(FILES cantor_lua.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/octave/CMakeLists.txt ===
set( OctaveBackend_SRCS
octavebackend.cpp
octavesession.cpp
octaveexpression.cpp
octaveextensions.cpp
octavehighlighter.cpp
octavecompletionobject.cpp
octavesyntaxhelpobject.cpp
)

set (OCTAVE_SCRIPT_INSTALL_DIR ${KDE_INSTALL_DATADIR}/cantor/octavebackend)
set (OCTAVE_SCRIPT_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${OCTAVE_SCRIPT_INSTALL_DIR}/)
configure_file (octave-backend-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/octave-backend-config.h )
add_subdirectory(scripts)

kconfig_add_kcfg_files(OctaveBackend_SRCS settings.kcfgc)
install(FILES octavebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(OctaveBackend_SRCS settings.ui)

add_backend(octavebackend ${OctaveBackend_SRCS})

target_link_libraries(cantor_octavebackend
    KF5::KIOCore
    KF5::ConfigCore
    KF5::ConfigGui)


if(BUILD_TESTING)
 add_executable( testoctave testoctave.cpp)
 add_test(testoctave testoctave)
 ecm_mark_as_test(testoctave)
 target_link_libraries( testoctave
   Qt5::Test
   cantorlibs
   cantortest
 )
endif(BUILD_TESTING)

install(FILES cantor_octave.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/qalculate/CMakeLists.txt ===
add_subdirectory(plotassistant)
project(cantor-qalculate-backend)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} -Wno-deprecated")
add_definitions(${QALCULATE_CFLAGS})

set( QalculateBackend_SRCS
qalculatesyntaxhelpobject.cpp
qalculatebackend.cpp
qalculatesession.cpp
qalculatehighlighter.cpp
qalculateexpression.cpp
qalculateextensions.cpp
qalculatecompletionobject.cpp
qalculateextensions.cpp
)

kconfig_add_kcfg_files(QalculateBackend_SRCS settings.kcfgc)
install(FILES qalculatebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(QalculateBackend_SRCS settings.ui)

add_backend(qalculatebackend ${QalculateBackend_SRCS})

message(STATUS ${CLN_LIBRARIES})
target_link_libraries( cantor_qalculatebackend cantorlibs ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})

install( FILES cantor_qalculate.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/assistants/linearalgebra/eigenvalues/CMakeLists.txt ===
set( EigenValuesAssistant_SRCS
     eigenvaluesassistant.cpp
)

ki18n_wrap_ui(EigenValuesAssistant_SRCS eigenvaluesdlg.ui)

add_assistant(eigenvaluesassistant ${EigenValuesAssistant_SRCS})

install( FILES cantor_eigenvalues_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )

=== src/backends/julia/juliaserver/CMakeLists.txt ===
add_definitions(-DJULIA_ENABLE_THREADING=1)

set(JuliaServer_SRCS
    juliaserver.cpp
    main.cpp
)
add_executable(cantor_juliaserver ${JuliaServer_SRCS})

target_link_libraries(cantor_juliaserver
    ${Julia_LIBRARY}
    Qt5::Widgets
    Qt5::DBus
)

install(TARGETS cantor_juliaserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/backends/qalculate/plotassistant/CMakeLists.txt ===
set( QalculatePlotAssistant_SRCS
     qalculateplotassistant.cpp
)

kconfig_add_kcfg_files(QalculatePlotAssistant_SRCS ../settings.kcfgc)
ki18n_wrap_ui(QalculatePlotAssistant_SRCS qalculateplotdialog.ui)

kcoreaddons_add_plugin(cantor_qalculateplotassistant
    SOURCES ${QalculatePlotAssistant_SRCS}
    JSON "qalculateplotassistant.json"
    INSTALL_NAMESPACE "cantor/assistants")

target_link_libraries(cantor_qalculateplotassistant cantorlibs)

install( FILES cantor_qalculateplotassistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )

=== debian/changelog ===
cantor (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libanalitza-dev (>= 4:17.12.2~),
+               libanalitza-dev (>= 4:17.12.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	$(overridden_command)
	--destdir=debian/tmp \
	# The luajit is available only in amd64 and i386 for now
	if [ -f debian/tmp/etc/xdg/cantor_lua.knsrc ]; then \
	    mkdir -p debian/cantor/etc/xdg; \
	    cp debian/tmp/etc/xdg/cantor_lua.knsrc debian/cantor/etc/xdg; \
	fi 

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='cantor-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, epstool, fig2dev, pstoedit,
         gnuplot, liboctave-dev, octave, python-numpy, python3-numpy, libgl1-mesa-dri
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cantor-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/cantor-([\d.]+).tar.xz

## cantor 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 add_definitions(-DMAKE_CANTORLIBS_LIB)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -15,7 +15,7 @@
 find_package(ECM 5.15.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-find_package(Qt5 CONFIG REQUIRED
+find_package(Qt5 5.6.0 CONFIG REQUIRED
     Core
     Widgets
     PrintSupport
@@ -60,17 +60,20 @@
         PURPOSE "Support for rendering EPS files in Cantor")
 
     find_package(LibSpectre)
-    if(LibSpectre_FOUND)
+    if(LIBSPECTRE_FOUND)
         set(WITH_EPS On)
-    else(LibSpectre_FOUND)
+    else(LIBSPECTRE_FOUND)
         set(WITH_EPS Off)
-    endif(LibSpectre_FOUND)
+    endif(LIBSPECTRE_FOUND)
 
 else(NOT WIN32)
     set(WITH_EPS Off)
 endif(NOT WIN32)
 
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+if (CMAKE_BUILD_TYPE STREQUAL "RELEASE")
+    add_definitions(-DQT_NO_DEBUG_OUTPUT)
+endif (CMAKE_BUILD_TYPE STREQUAL "RELEASE")
 kde_enable_exceptions()
 
 add_subdirectory(doc)

=== src/scripteditor/CMakeLists.txt ===
set( scripteditor_SRCS
    main.cpp
    scripteditorwidget.cpp
)

add_executable( cantor_scripteditor ${scripteditor_SRCS} )

target_link_libraries(cantor_scripteditor KF5::TextEditor)

install(TARGETS cantor_scripteditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/backends/julia/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include_directories(${Julia_INCLUDE_DIRS})
+include_directories(${JULIA_INCLUDE_DIRS})
 
 add_subdirectory(juliaserver)
 if(BUILD_TESTING)
@@ -20,7 +20,7 @@
 
 add_backend(juliabackend ${JuliaBackend_SRCS})
 
-target_link_libraries(cantor_juliabackend Qt5::DBus ${Julia_LIBRARY})
+target_link_libraries(cantor_juliabackend Qt5::DBus ${JULIA_LIBRARY})
 
 install(FILES juliabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 file(GLOB scripts "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*.jl")

=== src/backends/lua/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,15 @@
 
 target_link_libraries(cantor_luabackend ${LUAJIT_LIBRARY})
 
+if(BUILD_TESTING)
+ add_executable( testlua testlua.cpp)
+ add_test(testlua testlua)
+ ecm_mark_as_test(testlua)
+ target_link_libraries( testlua
+   Qt5::Test
+   cantorlibs
+   cantortest
+ )
+endif(BUILD_TESTING)
+
 install(FILES cantor_lua.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/julia/tests/CMakeLists.txt ===
add_executable(testjulia testjulia.cpp)
target_link_libraries(testjulia ${QT_QTTEST_LIBRARY} cantorlibs cantortest)

add_test(NAME testjulia COMMAND testjulia)

=== debian/changelog ===
cantor (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Skip tests until upstream KDE CI runs with Qt 5.11 and they are
    fixed there

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 09:34:00 +0100

cantor (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update maxima_multiresults patch after switch to nullptr
  * Refresh other patches
  * Update install files
  * Disable maxima_waiting_the_carriage patch
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update lintian overrides
  * Fixed package extended description line length in control
  * Install script editor binary
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Jul 2018 23:18:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libanalitza-dev (>= 4:17.12.3~),
+               libanalitza-dev (>= 4:18.04.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
@@ -28,6 +28,7 @@
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libluajit-5.1-dev [i386 amd64],
+               libmpfr-dev,
                libqalculate-dev,
                libqt5svg5-dev (>= 5.6.1~),
                libqt5xmlpatterns5-dev (>= 5.6.1~),
@@ -37,7 +38,7 @@
                python-dev (>= 2.7~),
                python3-dev,
                qtbase5-dev (>= 5.6.1~),
-               r-base-core
+               r-base-core,
 Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
@@ -145,9 +146,9 @@
  This package provides the backend for using the Maxima Computer Algebra System
  (http://maxima.sourceforge.net) in Cantor.
  .
- NOTE: currently this package only contains the maxima icon as the backend itself
- is broken with the current version of maxima. The backend will be restored once
- an upstream fix is available.
+ NOTE: currently this package only contains the maxima icon as the backend
+ itself is broken with the current version of maxima. The backend will be
+ restored once an upstream fix is available.
  See KDE BUG: https://bugs.kde.org/show_bug.cgi?id=379404
  .
  This package is part of the KDE education module.

## cantor 18.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.15.0")

=== src/CMakeLists.txt ===
#########################################################################
# Subdirectories
#########################################################################
add_subdirectory(lib)
add_subdirectory(scripteditor)

include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib)
if(BUILD_TESTING)
  include(ECMMarkAsTest)
  include_directories( lib/test )
endif(BUILD_TESTING)

if(LIBSPECTRE_FOUND)
   include_directories(${LIBSPECTRE_INCLUDE_DIR})
endif(LIBSPECTRE_FOUND)
add_subdirectory(backends)
add_subdirectory(assistants)
add_subdirectory(xslt)
add_subdirectory(panelplugins)


#build the config object in a separate library, shared between shell and part
kconfig_add_kcfg_files(config_SRCS settings.kcfgc)
add_library( cantor_config  SHARED ${config_SRCS} )
target_link_libraries( cantor_config  KF5::Parts KF5::NewStuff )
install( TARGETS cantor_config  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

set(cantor_SRCS
   main.cpp
   cantor.cpp
   backendchoosedialog.cpp
 )

install(FILES cantor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(cantor_SRCS settings.ui)
ki18n_wrap_ui(cantor_SRCS backendchooser.ui)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-cantor.png")
ecm_add_app_icon(cantor_SRCS ICONS ${ICONS_SRCS})
add_executable(cantor ${cantor_SRCS})

target_link_libraries(cantor KF5::Parts KF5::NewStuff KF5::ConfigCore KF5::CoreAddons KF5::ConfigGui
    KF5::Crash KF5::XmlGui cantorlibs cantor_config)

########### install files ###############
install(TARGETS cantor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.cantor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES cantor_shell.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )
install( FILES cantor.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

#########################################################################
# KPART SECTION
#########################################################################

set(cantor_PART_SRCS
   cantor_part.cpp
   worksheet.cpp
   worksheetview.cpp
   worksheetentry.cpp
   worksheettextitem.cpp
   worksheetimageitem.cpp
   commandentry.cpp
   textentry.cpp
   pagebreakentry.cpp
   imageentry.cpp
   latexentry.cpp
   placeholderentry.cpp
   worksheetcursor.cpp
   searchbar.cpp
   actionbar.cpp
   worksheettoolbutton.cpp
   imagesettingsdialog.cpp
   scripteditor/scripteditorwidget.cpp
   resultitem.cpp
   textresultitem.cpp
   imageresultitem.cpp
   animationresultitem.cpp
   loadedexpression.cpp
   animation.cpp
   epsrenderer.cpp
 )

ki18n_wrap_ui(cantor_PART_SRCS imagesettings.ui)
ki18n_wrap_ui(cantor_PART_SRCS standardsearchbar.ui)
ki18n_wrap_ui(cantor_PART_SRCS extendedsearchbar.ui)

string(CONCAT PATH_TO_CANTOR_BACKENDS ${CMAKE_INSTALL_PREFIX} "/${PLUGIN_INSTALL_DIR}")

configure_file (config-cantor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor.h )

kcoreaddons_add_plugin(cantorpart
    SOURCES ${cantor_PART_SRCS}
    JSON "cantor_part.json"
    INSTALL_NAMESPACE ".")

set_target_properties(cantorpart PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")

target_link_libraries(cantorpart KF5::Parts KF5::NewStuff
                     KF5::TextEditor ${Qt5XmlPatterns_LIBRARIES}
		     KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets
                     Qt5::PrintSupport cantorlibs cantor_config )
if(LIBSPECTRE_FOUND)
   target_link_libraries(cantorpart ${LIBSPECTRE_LIBRARY})
endif(LIBSPECTRE_FOUND)

install( FILES cantor_part.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )
install( FILES cantor_scripteditor.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== debian/changelog ===
cantor (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - should work fine with SageMath >= 8.1 (Closes: #852780)
    - fixes build with Qt >= 5.11 (Closes: #906651)
  * Remove the transitional cantor-backend-python package.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch Vcs-* fields to salsa.debian.org.
  * Use https for Format in copyright.
  * Update install files.
  * Update lintian overrides.
  * Update the patches:
    - maxima_multiresults: drop, as it does not apply anymore, and there is no
      information on what it does nor its status
    - acceptable_answers: refresh
    - maxima_waiting_the_carriage: drop, as it does not apply anymore, and
      there is no  information on what it does nor its status
  * Do not run the autopkgtest testsuite in parallel, since the jobs might
    interfere with each other.
  * Add the python3-numpy, and fonts-freefont-otf dependencies for the
    autopkgtest testsuite: the former is needed by the Python 3 test, and the
    latter for plots in Octave (which already recommends it).

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 07:09:20 +0200

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.15.0~),
               libanalitza-dev (>> 4:15.08),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.15~),
               libkf5completion-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5iconthemes-dev (>= 5.15~),
               libkf5kio-dev (>= 5.15~),
               libkf5newstuff-dev (>= 5.15~),
               libkf5parts-dev (>= 5.15~),
               libkf5pty-dev (>= 5.15~),
               libkf5texteditor-dev (>= 5.15~),
               libkf5textwidgets-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libqalculate-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python-dev (>= 2.7~),
               python3-dev,
               qtbase5-dev (>= 5.4),
               r-base-core,
Standards-Version: 4.2.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x],
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python2 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python2 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (http://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor-backend-python2 (<< 4:15.08)
Replaces: cantor-backend-python2 (<< 4:15.08)
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         gnuplot, python-numpy, python3-numpy, libgl1-mesa-dri,
         fonts-freefont-otf
Restrictions: build-needed
